# crypto.hpp File Reference

the crypto algoritm definition More...

`#include "../my_config.h"`
`#include <string>`
`#include "tronconneuse.hpp"`
`#include "header_version.hpp"`

Go to the source code of this file.

## Classes
class | libdar::blowfish
| blowfish implementation of encryption More...
## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations
enum | libdar::crypto_algo { libdar::crypto_none, libdar::crypto_scrambling, libdar::crypto_blowfish, libdar::crypto_blowfish_weak }
| the different cypher available for encryption (strong or weak) More...

## Detailed Description

the crypto algoritm definition

Definition in file crypto.hpp.